/*
 * $Id: HTTPSessionException.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * 作成日： 2005/3/17
 */
package feat2;

/**
 * HttpSessionが得られなかったときなどにスローされる例外。
 * @author SUGIMOTO Ken-ichi
 */
public class HTTPSessionException extends FeatRuntimeException {

    private static final long serialVersionUID = "$Id: HTTPSessionException.java 220 2007-07-16 10:32:15Z sugimotokenichi $".hashCode();

    /**
     * @param messageId
     */
    public HTTPSessionException(String messageId) {
        super(messageId);
    }
    /**
     * @param messageId
     * @param cause
     */
    public HTTPSessionException(String messageId, Throwable cause) {
        super(messageId, cause);
    }
    /**
     * @param cause
     */
    public HTTPSessionException(Throwable cause) {
        super(cause);
    }
}
